Subject: Re: bug#56237: 29.0.50; delete-forward-char fails to delete character

From: Visuwesh <[email-masked]>
Date: Sun, 26 Jun 2022 22:17:53 +0530

[ஞாயிறு ஜூன் 26, 2022] Eli Zaretskii wrote:

> Sorry, I misunderstood the report.
>
> I tried to fix this now on master.

Thanks for the quick fix!  Unfortunately, delete-forward-char still
deletes two clusters instead of one in "ப்போ".  :(

I.e.,

    |ப்போ becomes |

where | denotes the point.

[ஞாயிறு ஜூன் 26, 2022] Eli Zaretskii wrote:

>> From: Visuwesh <[email-masked]>
>> Cc: [email-masked]
>> Date: Sun, 26 Jun 2022 21:55:50 +0530
>> 
>> I was under the impression that I could safely rebind C-d to
>> delete-forward-char.
>
> The main point is not the key binding: there's nothing magic in C-d
> per se.  The point is the delete-char and delete-forward-char behave
> differently inside composed sequences, and that's intentional.

Right.  For my use case, I never need go into the composed sequence so I
rebound C-d to delete-forward.